# Uses of Interface
org.jmol.api.SC

Packages that use SC
Package
Description
jspecview.java
jspecview.js2d
jspecview.popup
org.jmol.api
org.jmol.awt
org.jmol.awtjs.swing
org.jmol.awtjs2d
org.jmol.modelkit
org.jmol.popup

## Uses of SC in jspecview.java

Methods in jspecview.java with parameters of type SC
Modifier and Type
Method
Description
`protected String`
AwtPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
AwtPopup.`menuShowPopup(SC popup, int x, int y)`

## Uses of SC in jspecview.js2d

Methods in jspecview.js2d with parameters of type SC
Modifier and Type
Method
Description
`void`
JsPopup.`menuShowPopup(SC popup, int x, int y)`
could be frank menu or regular context menu

## Uses of SC in jspecview.popup

Methods in jspecview.popup with parameters of type SC
Modifier and Type
Method
Description
`protected void`
JSVGenericPopup.`appCheckItem(String item, SC newMenu)`
`protected boolean`
JSVGenericPopup.`appRunSpecialCheckBox(SC item, String basename, String what, boolean TF)`
`protected void`
JSVGenericPopup.`appUpdateSpecialCheckBoxValue(SC item, String what, boolean TF)`
`protected String`
JSVGenericPopup.`getScriptForCallback(SC source, String id, String script)`
`protected String`
JSVGenericPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`

## Uses of SC in org.jmol.api

Methods in org.jmol.api with parameters of type SC
Modifier and Type
Method
Description
`void`
SC.`add(SC item)`
`void`
SC.`init(String text, Object icon, String actionCommand, SC popupMenu)`
`void`
SC.`insert(SC subMenu, int index)`

## Uses of SC in org.jmol.awt

Classes in org.jmol.awt that implement SC
Modifier and Type
Class
Description
`class`
`AwtSwingComponent`
A javax.swing implementation of SwingComponent that mirrors org.jmol.awtjs.swing for compatibility with compilation with java2script.
Methods in org.jmol.awt that return SC
Modifier and Type
Method
Description
`SC`
AwtPopupHelper.`getCheckBox(String name)`
`SC`
AwtPopupHelper.`getMenu(String name)`
`SC`
AwtPopupHelper.`getMenuItem(String name)`
`SC`
AwtPopupHelper.`getRadio(String name)`
`SC`
AwtPopupHelper.`getSwingComponent(Object component)`
`SC`
AwtPopupHelper.`menuCreatePopup(String title, Object applet)`
Methods in org.jmol.awt with parameters of type SC
Modifier and Type
Method
Description
`void`
AwtSwingComponent.`add(SC item)`
`protected void`
AwtJmolPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`protected void`
AwtModelKitPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`void`
AwtPopupHelper.`dispose(SC popupMenu)`
`int`
AwtPopupHelper.`getItemType(SC m)`
`String`
AwtJmolPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
AwtSwingComponent.`init(String text, Object icon, String actionCommand, SC popupMenu)`
`void`
AwtSwingComponent.`insert(SC subMenu, int index)`
`void`
AwtPopupHelper.`menuAddButtonGroup(SC item)`
`void`
AwtPopupHelper.`menuClearListeners(SC c)`
Listener methods
`protected void`
AwtModelKitPopup.`menuHidePopup(SC popup)`
`void`
AwtPopupHelper.`menuInsertSubMenu(SC menu, SC subMenu, int index)`
`protected void`
AwtJmolPopup.`menuShowPopup(SC popup, int x, int y)`
`protected void`
AwtModelKitPopup.`menuShowPopup(SC popup, int x, int y)`

## Uses of SC in org.jmol.awtjs.swing

Classes in org.jmol.awtjs.swing that implement SC
Modifier and Type
Class
Description
`class`
`AbstractButton`
`class`
`JButton`
`class`
`JCheckBox`
`class`
`JCheckBoxMenuItem`
`class`
`JComboBox<T>`
`class`
`JMenu`
`class`
`JMenuItem`
`class`
`JPopupMenu`
`class`
`JRadioButtonMenuItem`
Methods in org.jmol.awtjs.swing that return SC
Modifier and Type
Method
Description
`SC`
AbstractButton.`getTopPopupMenu()`
Methods in org.jmol.awtjs.swing with parameters of type SC
Modifier and Type
Method
Description
`void`
AbstractButton.`add(SC item)`
`void`
ButtonGroup.`add(SC item)`
`void`
AbstractButton.`init(String text, Object icon, String actionCommand, SC popupMenu)`
`void`
AbstractButton.`insert(SC subMenu, int index)`

## Uses of SC in org.jmol.awtjs2d

Methods in org.jmol.awtjs2d that return SC
Modifier and Type
Method
Description
`SC`
JSPopupHelper.`getCheckBox(String name)`
`SC`
JSPopupHelper.`getMenu(String name)`
`SC`
JSPopupHelper.`getMenuItem(String text)`
`SC`
JSPopupHelper.`getRadio(String name)`
`SC`
JSPopupHelper.`getSwingComponent(Object component)`
`SC`
JSPopupHelper.`menuCreatePopup(String name, Object applet)`
Methods in org.jmol.awtjs2d with parameters of type SC
Modifier and Type
Method
Description
`void`
JSPopupHelper.`dispose(SC popupMenu)`
`int`
JSPopupHelper.`getItemType(SC m)`
`protected String`
JSJmolPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
JSPopupHelper.`menuAddButtonGroup(SC item)`
`void`
JSModelKitPopup.`menuCheckBoxCallback(SC source)`
`void`
JSPopupHelper.`menuClearListeners(SC menu)`
`void`
JSModelKitPopup.`menuHidePopup(SC popup)`
`void`
JSPopupHelper.`menuInsertSubMenu(SC menu, SC subMenu, int index)`
`void`
JSJmolPopup.`menuShowPopup(SC popup, int x, int y)`
`void`
JSModelKitPopup.`menuShowPopup(SC popup, int x, int y)`

## Uses of SC in org.jmol.modelkit

Fields in org.jmol.modelkit declared as SC
Modifier and Type
Field
Description
`protected SC`
ModelKitPopup.`bondRotationCheckBox`
`protected SC`
ModelKitPopup.`prevBondCheckBox`
Methods in org.jmol.modelkit with parameters of type SC
Modifier and Type
Method
Description
`protected boolean`
ModelKitPopup.`appRunSpecialCheckBox(SC item, String basename, String script, boolean TF)`
`protected void`
ModelKitPopup.`appUpdateSpecialCheckBoxValue(SC source, String actionCommand, boolean selected)`
Set the active menu based on updating a value -- usually by the user, but also during setup (ignored).
`protected String`
ModelKitPopup.`getScriptForCallback(SC source, String id, String script)`
Secondary processing of menu item click
`String`
ModelKitPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
ModelKitPopup.`menuClickCallback(SC source, String script)`
`protected abstract void`
ModelKitPopup.`menuHidePopup(SC popup)`

## Uses of SC in org.jmol.popup

Fields in org.jmol.popup declared as SC
Modifier and Type
Field
Description
`protected SC`
JmolGenericPopup.`frankPopup`
`protected SC`
GenericPopup.`popupMenu`
`protected SC`
GenericPopup.`thisPopup`
Fields in org.jmol.popup with type parameters of type SC
Modifier and Type
Field
Description
`protected Map<String,SC>`
GenericPopup.`htCheckbox`
`protected Map<String,SC>`
GenericPopup.`htMenus`
`protected Lst<SC>`
JmolPopup.`Special`
Methods in org.jmol.popup that return SC
Modifier and Type
Method
Description
`protected SC`
GenericPopup.`addMenuItem(SC menuItem, String entry)`
`SC`
PopupHelper.`getCheckBox(String name)`
`SC`
PopupHelper.`getMenu(String name)`
`SC`
PopupHelper.`getMenuItem(String name)`
`SC`
PopupHelper.`getRadio(String name)`
`SC`
PopupHelper.`getSwingComponent(Object component)`
`SC`
JmolGenericPopup.`jpiGetMenuAsObject()`
`protected SC`
GenericPopup.`menuCreateCheckboxItem(SC menu, String entry, String basename, String id, boolean state, boolean isRadio)`
`protected SC`
GenericPopup.`menuCreateItem(SC menu, String entry, String script, String id)`
`SC`
PopupHelper.`menuCreatePopup(String title, Object html5Applet)`
`protected SC`
GenericPopup.`menuNewSubMenu(String entry, String id)`
`protected SC`
GenericPopup.`setText(String item, String text)`
Methods in org.jmol.popup with parameters of type SC
Modifier and Type
Method
Description
`protected void`
GenericPopup.`addMenu(String id, String item, SC subMenu, String label, PopupResource popupResourceBundle)`
`protected SC`
GenericPopup.`addMenuItem(SC menuItem, String entry)`
`void`
GenericPopup.`addMenuItems(String parentId, String key, SC menu, PopupResource popupResourceBundle)`
`protected void`
GenericPopup.`appCheckItem(String item, SC newMenu)`
Opportunity to do something special with an item.
`protected void`
JmolPopup.`appCheckItem(String item, SC newMenu)`
`void`
GenericPopup.`appCheckSpecialMenu(String item, SC subMenu, String word)`
Opportunity to do something special with a given submenu is created
`void`
JmolPopup.`appCheckSpecialMenu(String item, SC subMenu, String word)`
`protected abstract boolean`
GenericPopup.`appRunSpecialCheckBox(SC item, String basename, String what, boolean TF)`
`protected boolean`
JmolGenericPopup.`appRunSpecialCheckBox(SC item, String basename, String script, boolean TF)`
`protected abstract void`
GenericPopup.`appUpdateSpecialCheckBoxValue(SC source, String actionCommand, boolean selected)`
`protected void`
JmolPopup.`appUpdateSpecialCheckBoxValue(SC item, String what, boolean TF)`
(1) setOption --> set setOption true or set setOption false
`void`
PopupHelper.`dispose(SC popupMenu)`
`protected void`
GenericPopup.`doMenuCheckBoxCallback(SC source)`
`protected void`
GenericPopup.`doMenuClickCallback(SC source, String script)`
`int`
PopupHelper.`getItemType(SC m)`
`protected abstract String`
GenericPopup.`getScriptForCallback(SC source, String name, String script)`
`protected String`
JmolPopup.`getScriptForCallback(SC source, String id, String script)`
`protected abstract String`
GenericPopup.`getUnknownCheckBoxScriptToRun(SC item, String name, String what, boolean TF)`
`void`
PopupHelper.`menuAddButtonGroup(SC item)`
`protected void`
GenericPopup.`menuAddSeparator(SC menu)`
`protected void`
GenericPopup.`menuAddSubMenu(SC menu, SC subMenu)`
`void`
GenericPopup.`menuCheckBoxCallback(SC source)`
`void`
PopupHelper.`menuClearListeners(SC c)`
`void`
GenericPopup.`menuClickCallback(SC source, String script)`
`protected SC`
GenericPopup.`menuCreateCheckboxItem(SC menu, String entry, String basename, String id, boolean state, boolean isRadio)`
`protected SC`
GenericPopup.`menuCreateItem(SC menu, String entry, String script, String id)`
`protected void`
GenericPopup.`menuEnable(SC component, boolean enable)`
`protected String`
GenericPopup.`menuGetId(SC menu)`
`protected int`
GenericPopup.`menuGetListPosition(SC item)`
`void`
PopupHelper.`menuInsertSubMenu(SC menu, SC subMenu, int index)`
`protected void`
GenericPopup.`menuRemoveAll(SC menu, int indexFrom)`
`protected void`
GenericPopup.`menuSetAutoscrolls(SC menu)`
`protected void`
GenericPopup.`menuSetLabel(SC m, String entry)`
`protected abstract void`
GenericPopup.`menuShowPopup(SC popup, int x, int y)`
`protected void`
GenericPopup.`updateButton(SC b, String entry, String script)`
`protected void`
JmolPopup.`updateSpecialMenuItem(SC m)`